### Method

# WebKit2WebExtension WebPage send_message_to_view_finish

#### Declaration [src]

    WebKitUserMessage*
    webkit_web_page_send_message_to_view_finish (
      WebKitWebPage* web_page,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_page_send_message_to_view().

Available since: | 2.28

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitUserMessage`
| A `WebKitUserMessage` with the reply or `NULL` in case of error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.